# Class FormControlErrorDirective

#### Deprecated

removed use the rxapControlError or rxapControlErrors directive

#### Implements

- OnInit
- OnDestroy

- Defined in packages/angular/forms/src/lib/directives/form-control-error.directive.ts:27

#####
Index

### Constructors

constructor

### Properties

errorKey
name

### Methods

ngOnDestroy
ngOnInit

##
Constructors

### constructor

- new FormControlErrorDirective(
  template: TemplateRef<{ $implicit: ValidationErrors }>,
  parent: ControlContainer,
  viewContainerRef: ViewContainerRef,
  ): FormControlErrorDirective

  #### Parameters

  - template: TemplateRef<{ $implicit: ValidationErrors }>
  - parent: ControlContainer
  - viewContainerRef: ViewContainerRef

  #### Returns FormControlErrorDirective

  - Defined in packages/angular/forms/src/lib/directives/form-control-error.directive.ts:45

##
Properties

### errorKey

errorKey: string

- Defined in packages/angular/forms/src/lib/directives/form-control-error.directive.ts:41

### name

name: string

- Defined in packages/angular/forms/src/lib/directives/form-control-error.directive.ts:34

##
Methods

### ngOnDestroy

- ngOnDestroy(): void

  A callback method that performs custom clean-up, invoked immediately before a directive, pipe, or service instance is destroyed.

  #### Returns void

  Implementation of OnDestroy.ngOnDestroy

  - Defined in packages/angular/forms/src/lib/directives/form-control-error.directive.ts:72

### ngOnInit

- ngOnInit(): void

  A callback method that is invoked immediately after the default change detector has checked the directive's data-bound properties for the first time, and before any of the view or content children have been checked. It is invoked only once when the directive is instantiated.

  #### Returns void

  Implementation of OnInit.ngOnInit

  - Defined in packages/angular/forms/src/lib/directives/form-control-error.directive.ts:52